SRM(1)

NOM
srm - secure remove (outil de suppression sécurisée)

SYNOPSIS
srm [-d] [-f] [-l] [-l] [-r] [-v] [-z] fichiers

DESCRIPTION
srm est un outil qui efface des données sur des supports de stockage d'une manière sécurisée, assurant qu'elle ne pourront pas être restaurées par des voleurs, des agents de la loi ou autres menaces. L'algorithme de nettoyage est basé sur la publication "Secure Deletion of Data from Magnetic and Solid-State Memory" présentée au 6ème Symposium Sécurité Usenix par Peter Gutmann, un expert de la cryptographie civile.

Le processus d' effacement sécurisé des données par srm se déroule ainsi :

*   1 passe avec 0xff.

*   5 passes aléatoires. /dev/urandom est utilisé comme RNG sécurisé lorsque c'est possible.

*   27 passes avec des valeurs spéciales définies par Peter Gutmann.

*   5 passes aléatoires. /dev/urandom est utilisé comme RNG sécurisé lorsque c'est possible.

*   Renommage du fichier avec un nom aléatoire.

*   Découpage du fichier.

Comme mesure supplémentaire de sécurité, le fichier est ouvert en mode O_SYNC et un appel fsync() est lancé après chaque passe. srm écrit des blocs de 32k pour plus de rapidité, remplissant les tampons des caches disque afin de les forcer à se vider et recouvrir les anciennes données qui appartenaient au fichier.

OPTIONS

-d  ignore les deux fichiers spéciaux . et .. dans la commande. (vous pouvez donc lancer "srm -d .* *")

-f  mode rapide (et non sécurisé) : pas de /dev/urandom, pas de mode synchronisé.

-l  diminue la sécurité. Seules deux passes sont écrites : l'une avec 0xff, et la seconde avec des valeurs aléatoires.

-l  -l une seconde fois diminue encore la sécurité : seule une passe aléatoire est écrite.

-r  mode récursif, efface tous les sous-répertoires.

-v  mode verbeux.

-z  exécute la dernière passe avec des zéros plutôt que des données aléatoires.

LIMITATIONS

NFS Méfiez-vous de NFS : il est impossible de s'assurer que vous avez complètement effacé vos données sur les disques distants.

Raid
    Les systèmes Raid utilisent des disques agrégés par bandes et ont de gros caches. Il est difficile de les effacer de façon sécurisée.

swap, /tmp, etc.
    Certaines de vos données risquent d'avoir une copie temporaire (supprimée) quelque part sur le disque. Vous devriez utiliser sfill qui est fourni avec le paquet secure_deletion afin de vous assurer d'effacer de façon sécurisée également l'espace disque disponible. Cependant, si un petit fichier a d'ores et déjà acquis un bloc contenant vos données sensibles, je ne connais aucun outil qui puisse vous aider. Pour un effacement sécurisé du swap, sswap existe.

BUGS
Aucun bug. Il n'y a jamais eu un seul bug dans le paquet secure_deletion (au contraire de mes autres outils, quelle chance ;-) Prévenez-moi si vous en trouvez. Les patches sont également bienvenus :)

AUTHOR

van Hauser / THC <vh@thc.org>

DISTRIBUTION
La dernière version du paquet secure_deletion est disponible à l'adresse http://www.thc.org

srm et le paquet secure_deletion sont (C) 1997-2003 de van Hauser / THC (vh@thc.org)

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; Version 2.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

VOIR AUSSI
sfill (1), sswap (1), smem (1)

TRADUCTION
Ben Voui <intrigeri@boum.org>, 2009.